Bug 190142 - [patch] Add staging support to www/horde3-meta
Summary: [patch] Add staging support to www/horde3-meta
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: horde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-23 15:20 UTC by joe
Modified: 2014-09-06 05:16 UTC (History)
2 users (show)

See Also:


Attachments
file.diff (414 bytes, patch)
2014-05-23 15:20 UTC, joe
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description joe 2014-05-23 15:20:00 UTC
Adds staging support to www/horde3-meta.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-05-23 15:20:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->horde

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 John Marino freebsd_committer 2014-08-11 14:08:00 UTC
horde is active so I'm not resetting this PR, but I will ping it.
Comment 3 John Marino freebsd_committer 2014-08-12 19:01:31 UTC
horde3 is going to suffer over 20 ports getting removed in two weeks:

http://leaf.dragonflybsd.org/~marino/misc/screwed.nobody.txt
http://leaf.dragonflybsd.org/~marino/misc/screwed.maintained.txt


Is there a plan to stage these?  It's cutting it a bit close...
Comment 4 Martin Matuska freebsd_committer 2014-08-13 06:16:27 UTC
I am the only one active at horde@ and I do not plan to work on unsupported horde3. There are no more security updates, support for recent PHP versions etc. and I would like to see these ports off the ports tree. As this is a simple PHP application users can install horde3 themselves anyway.

But if there are enough people who insist on having horde3 in the ports tree and are willing to maintain it - I will be happy to give the maintainership away from horde@.
Comment 5 John Marino freebsd_committer 2014-08-13 06:36:54 UTC
Hi Martin,

I respect that you want to see this cut, but you're letting it happen by a natural prune process which means people spend energy to try to *avoid* pruning it.  If your idea is the remove the ports from the try it would have been helpful to explicitly deprecate it (and more helpful to do it before 31 august since there are over 700 ports going to get cut that day).

I would recommend for the sack of the prunes to explictly deprecate it (if they are all slaves it could done at the master port) so nobody spends more time on it.  Or better yet, remove them yourself so the people removing 700 ports have it a bit easier that day.
Comment 6 John Marino freebsd_committer 2014-08-13 06:38:24 UTC
s/try/tree/
s/sack/sake/
s/prunes/pruners/

I have a huge sleep debt right now...
Comment 7 John Marino freebsd_committer 2014-08-13 06:39:58 UTC
(In reply to Martin Matuska from comment #4)
> But if there are enough people who insist on having horde3 in the ports tree
> and are willing to maintain it - I will be happy to give the maintainership
> away from horde@.

FYI - I don't have evidence of even a single person that insists on horde3, much less willing to maintain it.  I'm just looking at expiration and impact logs and horde3 has a big presence on it, that's all.
Comment 8 Martin Matuska freebsd_committer 2014-08-13 06:42:49 UTC
Thanks, John. So what way do you suggest? Should I set them all on deprecated and move the expiration date to a date earlier than Aug 31?
Comment 9 John Marino freebsd_committer 2014-08-13 06:48:32 UTC
yes, that's what I had in mind.
Why not pick 20 August?  There are several "interactive" ports expiring that day so the pruners (Rene) will already be working on a batch.

I guess the deprecation message should recommend moving to the latest horde.
Comment 10 Martin Matuska freebsd_committer 2014-08-13 07:19:11 UTC
I want to deprecate the ports but commits with NO_STAGE are not allowed anymore. Should I remove the NO_STAGE lines and mark them BROKEN?
Comment 11 John Marino freebsd_committer 2014-08-13 07:23:39 UTC
no, just add this line to your commit message:

"Approval by:<tab>portmgr (implicit, not staged)"

That will get you past the svn hook checks.
Comment 12 commit-hook freebsd_committer 2014-08-13 07:28:26 UTC
A commit references this bug:

Author: mm
Date: Wed Aug 13 07:27:33 UTC 2014
New revision: 364758
URL: http://svnweb.freebsd.org/changeset/ports/364758

Log:
  Horde 3 has been EOLed in April 2012
  Deprecate horde3 ports and set expiration date to 2014-08-20

  PR:		190142
  Approved by:	portmgr (implicit, not staged)

Changes:
  head/deskutils/horde3-hermes/Makefile
  head/deskutils/horde3-klutz/Makefile
  head/deskutils/horde3-kronolith/Makefile
  head/deskutils/horde3-mnemo/Makefile
  head/deskutils/horde3-nag/Makefile
  head/devel/horde3-chora/Makefile
  head/devel/horde3-whups/Makefile
  head/ftp/horde3-gollem/Makefile
  head/mail/horde3-dimp/Makefile
  head/mail/horde3-imp/Makefile
  head/mail/horde3-ingo/Makefile
  head/mail/horde3-mimp/Makefile
  head/mail/horde3-turba/Makefile
  head/mail/horde3-vacation/Makefile
  head/net-mgmt/horde3-nic/Makefile
  head/security/horde3-jeta/Makefile
  head/www/horde3-ansel/Makefile
  head/www/horde3-base/Makefile
  head/www/horde3-meta/Makefile
  head/www/horde3-passwd/Makefile
  head/www/horde3-trean/Makefile
Comment 13 John Marino freebsd_committer 2014-08-13 08:01:06 UTC
Thanks Martin, that helps a lot!